# DP: Add another #undef for _TIME_BITS

--- a/src/libsanitizer/sanitizer_common/sanitizer_procmaps_solaris.cpp
+++ b/src/libsanitizer/sanitizer_common/sanitizer_procmaps_solaris.cpp
@@ -16,6 +16,7 @@
 
 // Before Solaris 11.4, <procfs.h> doesn't work in a largefile environment.
 #undef _FILE_OFFSET_BITS
+#undef _TIME_BITS
 #include <procfs.h>
 #include <limits.h>
 
--- a/src/libsanitizer/sanitizer_common/sanitizer_platform_limits_posix.cpp
+++ b/src/libsanitizer/sanitizer_common/sanitizer_platform_limits_posix.cpp
@@ -21,6 +21,7 @@
 // To get this "true" dirent definition, we undefine _FILE_OFFSET_BITS below.
 #ifdef _FILE_OFFSET_BITS
 #undef _FILE_OFFSET_BITS
+#undef _TIME_BITS
 #endif
 
 // Must go after undef _FILE_OFFSET_BITS.
